package com.phm.manage.domain;

import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 分析过程日志对象 phm_analyze_course_log
 *
 * @author phm
 * @date 2023-08-31
 */
public class AnalyzeCourseLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 模块功能名称
     */
    @Excel(name = "模块功能名称")
    private String moduleName;

    /**
     * 模块功能类型
     */
    @Excel(name = "模块功能类型")
    private String moduleType;

    /**
     * 过程日志
     */
    @Excel(name = "过程日志")
    private String courseContent;

    /**
     * 分析结果状态
     */
    @Excel(name = "分析结果状态")
    private String status;

    /**
     * 数据是否删除（1：删除，0有效）
     */
    private Long isDelete;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleType(String moduleType) {
        this.moduleType = moduleType;
    }

    public String getModuleType() {
        return moduleType;
    }

    public void setCourseContent(String courseContent) {
        this.courseContent = courseContent;
    }

    public String getCourseContent() {
        return courseContent;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("moduleName", getModuleName())
                .append("moduleType", getModuleType())
                .append("courseContent", getCourseContent())
                .append("status", getStatus())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
